package com.brilliance.isc.swift.objmtconvert.model.mt2xx.tag.tag210;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt2xx.MT210Creator;

/**
 * @author huangmengyuan
 * @create 2023/2/28
 */
public class Tag20Creator extends AbsTagCreate {
    private MT210Creator mt210Creator;
    public Tag20Creator(AbsMTCreator absMTCreator) {
        super(absMTCreator);
        this.mt210Creator = (MT210Creator) absMTCreator;
    }

    @Override
    public void creator() {
        String tag20Value = mt210Creator.getTransactionReferenceNumber();
        mt210Creator.set("20",tag20Value);
    }
}
